# $Revision: 1.13 $, $Date: 2007/06/16 20:06:33 $
Summary:	Check - unit testing framework for C
Summary(pl.UTF-8):	Check - szkielet testów jednostkowych dla C
Name:		check
Version:	0.9.5
Release:	1
License:	LGPL v2.1+
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/check/%{name}-%{version}.tar.gz
# Source0-md5:	30143c7974b547a12a7da47809a90951
Patch0:		%{name}-info.patch
URL:		http://check.sourceforge.net/
BuildRequires:	libtool
BuildRequires:	texinfo >= 4.2
Requires(post,postun):	/sbin/ldconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Check is a unit test framework for C. It features a simple interface
for defining unit tests, putting little in the way of the developer.
Tests are run in a separate address space, so Check can catch both
assertion failures and code errors that cause segmentation faults or
other signals. The output from unit tests can be used within source
code editors and IDEs.

%description -l pl.UTF-8
Check to szkielet testów jednostkowych dla C. Ma prosty interfejs do
definiowania testów jednostkowych, nie przeszkadzający zbytnio
programiście. Testy są uruchamiane w wydzielonej przestrzeni
adresowej, dzięki czemu Check może wyłapać zarówno niepowodzenia
zapewnień (assert), jak i błędy w kodzie powodujące naruszenie
ochrony pamięci lub inne sygnały. Wyjście z testów jednostkowych może
być używane z poziomu edytorów kodu źródłowego i IDE.

%package static
Summary:	Static check library
Summary(pl.UTF-8):	Biblioteka statyczna check
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static check library.

%description static -l pl.UTF-8
Biblioteka statyczna check.

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="%{rpmcflags} -fPIC"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	exampledir=%{_examplesdir}/%{name}-%{version} \
	examplesrcdir=%{_examplesdir}/%{name}-%{version}/src \
	exampletestsdir=%{_examplesdir}/%{name}-%{version}/tests \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}
rm -f $RPM_BUILD_ROOT%{_libdir}/libcheck.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%postun
/sbin/ldconfig
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog* NEWS README SVNChangeLog THANKS TODO
%attr(755,root,root) %{_libdir}/libcheck.so.*.*.*
%attr(755,root,root) %{_libdir}/libcheck.so
%{_includedir}/check.h
%{_aclocaldir}/check.m4
%{_pkgconfigdir}/check.pc
%{_infodir}/check.info*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libcheck.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: check.spec,v $
Revision 1.13  2007/06/16 20:06:33  qboosh
- added info patch
- use normal configure

Revision 1.12  2007/06/16 19:53:35  qboosh
- separated static lib

Revision 1.11  2007/02/12 21:23:50  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:41  baggins
- converted to UTF-8

Revision 1.9  2007/01/21 23:05:47  darekr
- more docs

Revision 1.8  2007/01/21 23:00:35  qboosh
- ldconfig, .so symlink

Revision 1.7  2007/01/16 16:23:33  sls
- installing examples in _examplesdir
- rm _docdir/name

Revision 1.6  2007/01/16 16:09:38  sls
- manual in texinfo format (added BR: texinfo; post, postun)
- more files
- BR: libtool

Revision 1.5  2007/01/16 15:31:03  sls
- 0.9.5 (NFY - fetched source)

Revision 1.4  2006/02/20 20:48:57  freetz
- rel.2

Revision 1.3  2006/02/20 20:46:49  freetz
- pass -fPIC to CFLAGS

Revision 1.2  2005/09/25 08:46:16  areq
- 0.9.3

Revision 1.1  2004/12/25 19:39:08  qboosh
- new
